nlohmann::detail::wide_string_input_helper< WideStringType, T > Struct Template Reference

`#include <json.hpp>`

## Static Public Member Functions

static void | fill_buffer (const WideStringType &str, size_t &current_wchar, std::array< std::char_traits< char >::int_type, 4 > &utf8_bytes, size_t &utf8_bytes_index, size_t &utf8_bytes_filled)

## Member Function Documentation

## fill_buffer()

template<typename WideStringType , size_t T>

static void nlohmann::detail::wide_string_input_helper< WideStringType, T >::fill_buffer | ( | const WideStringType & | str,
|  | size_t & | current_wchar,
|  | std::array< std::char_traits< char >::int_type, 4 > & | utf8_bytes,
|  | size_t & | utf8_bytes_index,
|  | size_t & | utf8_bytes_filled
| ) |  |

inlinestatic

The documentation for this struct was generated from the following file:

- build/_deps/json-src/include/nlohmann/json.hpp